package com.qmth.distributed.print.business.bean.dto;

import com.qmth.distributed.print.business.enums.ExamStatusEnum;
import com.qmth.teachcloud.common.bean.dto.BlurryUserDto;
import com.qmth.teachcloud.common.enums.FlowStatusEnum;

import java.util.List;
import java.util.Objects;

/**
 * @Date: 2021/3/31.
 */
public class ExamTaskDto {

    private String id;
    private String paperNumber;
    private String courseCode;
    private String courseName;
    private String specialty;
    private String cardRuleId;
    private String cardRuleName;
    private String userId;
    private String userName;
    private Long startTime;
    private Long endTime;
    private String status;
    private Boolean enable;
    private String createId;
    private String createName;
    private Long createTime;
    private String auditStatus;
    private String reviewStatus;
    private String teacherName;
    private String lecturerName;
    private String teachingRoomName;
    private String flowId;
    private Integer setup;
    private FlowStatusEnum flowStatus;
    private String flowStatusStr;
    private String statusStr;
    private List<BlurryUserDto> users;
    private boolean myself;

    public boolean isMyself() {
        return myself;
    }

    public void setMyself(boolean myself) {
        this.myself = myself;
    }

    public FlowStatusEnum getFlowStatus() {
        return flowStatus;
    }

    public void setFlowStatus(FlowStatusEnum flowStatus) {
        this.flowStatus = flowStatus;
    }

    public String getFlowStatusStr() {
        if (Objects.nonNull(flowStatus)) {
            return flowStatus.getTitle();
        } else {
            return flowStatusStr;
        }
    }

    public void setFlowStatusStr(String flowStatusStr) {
        this.flowStatusStr = flowStatusStr;
    }

    public String getStatusStr() {
        return statusStr;
    }

    public void setStatusStr(String statusStr) {
        this.statusStr = statusStr;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getSpecialty() {
        return specialty;
    }

    public void setSpecialty(String specialty) {
        this.specialty = specialty;
    }

    public String getCardRuleId() {
        return cardRuleId;
    }

    public void setCardRuleId(String cardRuleId) {
        this.cardRuleId = cardRuleId;
    }

    public String getCardRuleName() {
        return cardRuleName;
    }

    public void setCardRuleName(String cardRuleName) {
        this.cardRuleName = cardRuleName;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Long getEndTime() {
        return endTime;
    }

    public void setEndTime(Long endTime) {
        this.endTime = endTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public String getCreateId() {
        return createId;
    }

    public void setCreateId(String createId) {
        this.createId = createId;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public List<BlurryUserDto> getUsers() {
        return users;
    }

    public void setUsers(List<BlurryUserDto> users) {
        this.users = users;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getReviewStatus() {
        return reviewStatus;
    }

    public void setReviewStatus(String reviewStatus) {
        this.reviewStatus = reviewStatus;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getLecturerName() {
        return lecturerName;
    }

    public void setLecturerName(String lecturerName) {
        this.lecturerName = lecturerName;
    }

    public String getTeachingRoomName() {
        return teachingRoomName;
    }

    public void setTeachingRoomName(String teachingRoomName) {
        this.teachingRoomName = teachingRoomName;
    }

    public String getFlowId() {
        return flowId;
    }

    public void setFlowId(String flowId) {
        this.flowId = flowId;
    }

    public Integer getSetup() {
        return setup;
    }

    public void setSetup(Integer setup) {
        this.setup = setup;
    }
}
